]> git.ipfire.org Git - ipfire-2.x.git/blobdiff - tools/find-missing-libs.sh
Add script to search for missing libraries
[ipfire-2.x.git] / tools / find-missing-libs.sh
diff --git a/tools/find-missing-libs.sh b/tools/find-missing-libs.sh
new file mode 100644 (file)
index 0000000..624ee00
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/bash
+# This scripts lists binaries that have missing libraries.
+# Arguments are paths to search in
+
+main() {
+       local path
+       for path in $@; do
+               local file
+               for file in $(find "${path}" -type f); do
+                       if ldd "${file}" 2>/dev/null | grep -q "not found"; then
+                               echo "${file}"
+                               ldd "${file}"
+                       fi
+               done
+       done
+}
+
+main "$@" || exit $?